### Name: eval.posfd
### Title: Evaluate a Positive Functional Data Object
### Aliases: eval.posfd predict.posfd fitted.posfd residuals.posfd
### Keywords: smooth

### ** Examples

harmaccelLfd365 <- vec2Lfd(c(0,(2*pi/365)^2,0), c(0, 365))
smallbasis  <- create.fourier.basis(c(0, 365), 65)
index <- (1:35)[CanadianWeather$place == "Vancouver"]
VanPrec  <- CanadianWeather$dailyAv[,index, "Precipitation.mm"]
lambda    <- 1e4
dayfdPar <- fdPar(smallbasis, harmaccelLfd365, lambda)
Van.pos <- smooth.pos(day.5, VanPrec, dayfdPar)

VanPrecposvec <- eval.posfd(day.5, Van.pos$Wfdobj)

VanPrecpos <- predict(Van.pos, day.5)
## Don't show: 
stopifnot(
## End Don't show
all.equal(VanPrecposvec, VanPrecpos)
## Don't show: 
)
## End Don't show

VanPrecFit <- fitted(Van.pos)
VanPrecRes <- resid(Van.pos)
## Don't show: 
stopifnot(
## End Don't show
all.equal(VanPrecRes, Van.pos$y-VanPrecFit)
## Don't show: 
)
## End Don't show




